Index: gnu/usr.bin/perl/lib/B/Op_private.pm
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/lib/B/Op_private.pm,v
diff -u -p -a -u -p -r1.11 Op_private.pm
--- gnu/usr.bin/perl/lib/B/Op_private.pm	8 Jul 2023 14:18:36 -0000	1.11
+++ gnu/usr.bin/perl/lib/B/Op_private.pm	20 Dec 2023 03:20:09 -0000
@@ -118,7 +118,7 @@ package B::Op_private;
 our %bits;
 
 
-our $VERSION = "5.036001";
+our $VERSION = "5.036003";
 
 $bits{$_}{3} = 'OPpENTERSUB_AMPER' for qw(entersub rv2cv);
 $bits{$_}{6} = 'OPpENTERSUB_DB' for qw(entersub rv2cv);
Index: gnu/usr.bin/perl/plan9/config_sh.sample
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/plan9/config_sh.sample,v
diff -u -p -a -u -p -r1.16 config_sh.sample
--- gnu/usr.bin/perl/plan9/config_sh.sample	8 Jul 2023 14:18:36 -0000	1.16
+++ gnu/usr.bin/perl/plan9/config_sh.sample	20 Dec 2023 03:20:09 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/sys/lib/perl5/5.36.1/386'
-archlibexp='/sys/lib/perl5/5.36.1/386'
+archlib='/sys/lib/perl5/5.36.3/386'
+archlibexp='/sys/lib/perl5/5.36.3/386'
 archname64=''
 archname='386'
 archobjs=''
@@ -825,17 +825,17 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='/sys/lib/perl/5.36.1/386'
+installarchlib='/sys/lib/perl/5.36.3/386'
 installbin='/usr/bin'
 installman1dir='/sys/man/1pub'
 installman3dir='/sys/man/2pub'
 installprefix='/usr'
 installprefixexp='/usr'
-installprivlib='/sys/lib/perl/5.36.1'
+installprivlib='/sys/lib/perl/5.36.3'
 installscript='/usr/bin'
-installsitearch='/sys/lib/perl/5.36.1/site_perl/386'
+installsitearch='/sys/lib/perl/5.36.3/site_perl/386'
 installsitebin='/usr/bin'
-installsitelib='/sys/lib/perl/5.36.1/site_perl'
+installsitelib='/sys/lib/perl/5.36.3/site_perl'
 installstyle='lib/perl5'
 installusrbinperl='undef'
 installvendorarch=''
@@ -961,8 +961,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/sys/lib/perl/5.36.1'
-privlibexp='/sys/lib/perl/5.36.1'
+privlib='/sys/lib/perl/5.36.3'
+privlibexp='/sys/lib/perl/5.36.3'
 procselfexe=''
 prototype='define'
 ptrsize='4'
@@ -1027,13 +1027,13 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 0'
 sig_size='50'
 signal_t='void'
-sitearch='/sys/lib/perl/5.36.1/site_perl/386'
+sitearch='/sys/lib/perl/5.36.3/site_perl/386'
 sitearchexp='/sys/lib/perl/site_perl/386'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
-sitelib='/sys/lib/perl/5.36.1/site_perl'
-sitelib_stem='/sys/lib/perl/5.36.1/site_perl'
-sitelibexp='/sys/lib/perl/5.36.1/site_perl'
+sitelib='/sys/lib/perl/5.36.3/site_perl'
+sitelib_stem='/sys/lib/perl/5.36.3/site_perl'
+sitelibexp='/sys/lib/perl/5.36.3/site_perl'
 siteprefix='/usr'
 siteprefixexp='/usr'
 sizesize='4'
@@ -1068,7 +1068,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/sys/include/ape/string.h'
 submit=''
-subversion='1'
+subversion='3'
 sysman='/sys/man/1pub'
 tail=''
 tar=''
@@ -1149,8 +1149,8 @@ vendorlib_stem=''
 vendorlibexp=''
 vendorprefix=''
 vendorprefixexp=''
-version='5.36.1'
-version_patchlevel_string='version 36 subversion 1'
+version='5.36.3'
+version_patchlevel_string='version 36 subversion 3'
 versiononly='undef'
 vi=''
 xlibpth=''
@@ -1165,7 +1165,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=1
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/pod/perl.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/pod/perl.pod,v
diff -u -p -a -u -p -r1.39 perl.pod
--- gnu/usr.bin/perl/pod/perl.pod	8 Jul 2023 14:18:36 -0000	1.39
+++ gnu/usr.bin/perl/pod/perl.pod	20 Dec 2023 03:20:10 -0000
@@ -179,7 +179,11 @@ aux h2ph h2xs perlbug pl2pm pod2html pod
 
     perlhist		Perl history records
     perldelta		Perl changes since previous version
+    perl5362delta       Perl changes in version 5.36.2
+    perl5361delta       Perl changes in version 5.36.1
     perl5360delta       Perl changes in version 5.36.0
+    perl5343delta	Perl changes in version 5.34.3
+    perl5342delta	Perl changes in version 5.34.2
     perl5341delta	Perl changes in version 5.34.1
     perl5340delta	Perl changes in version 5.34.0
     perl5321delta	Perl changes in version 5.32.1
Index: gnu/usr.bin/perl/pod/perl5342delta.pod
===================================================================
RCS file: gnu/usr.bin/perl/pod/perl5342delta.pod
diff -N gnu/usr.bin/perl/pod/perl5342delta.pod
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gnu/usr.bin/perl/pod/perl5342delta.pod	20 Dec 2023 03:20:10 -0000
@@ -0,0 +1,109 @@
+=encoding utf8
+
+=head1 NAME
+
+perl5342delta - what is new for perl v5.34.2
+
+=head1 DESCRIPTION
+
+This document describes differences between the 5.34.1 release and the 5.34.2
+release.
+
+If you are upgrading from an earlier release such as 5.34.0, first read
+L<perl5341delta>, which describes differences between 5.34.0 and 5.34.1.
+
+=head1 Security
+
+This release fixes the following security issues.
+
+=head2 CVE-2023-47038 - Write past buffer end via illegal user-defined Unicode property
+
+This vulnerability was reported directly to the Perl security team by
+Nathan Mills C<the.true.nathan.mills@gmail.com>.
+
+A crafted regular expression when compiled by perl 5.30.0 through
+5.38.0 can cause a one-byte attacker controlled buffer overflow in a
+heap allocated buffer.
+
+=head2 CVE-2023-47039 - Perl for Windows binary hijacking vulnerability
+
+This vulnerability was reported to the Intel Product Security Incident
+Response Team (PSIRT) by GitHub user ycdxsb
+L<https://github.com/ycdxsb/WindowsPrivilegeEscalation>. PSIRT then
+reported it to the Perl security team.
+
+Perl for Windows relies on the system path environment variable to
+find the shell (C<cmd.exe>). When running an executable which uses
+Windows Perl interpreter, Perl attempts to find and execute C<cmd.exe>
+within the operating system. However, due to path search order issues,
+Perl initially looks for cmd.exe in the current working directory.
+
+An attacker with limited privileges can exploit this behavior by
+placing C<cmd.exe> in locations with weak permissions, such as
+C<C:\ProgramData>. By doing so, when an administrator attempts to use
+this executable from these compromised locations, arbitrary code can
+be executed.
+
+=head1 Acknowledgements
+
+Perl 5.34.2 represents approximately 20 months of development since Perl
+5.34.1 and contains approximately 3,700 lines of changes across 40 files
+from 4 authors.
+
+Excluding auto-generated files, documentation and release tools, there were
+approximately 2,800 lines of changes to 9 .pm, .t, .c and .h files.
+
+Perl continues to flourish into its fourth decade thanks to a vibrant
+community of users and developers. The following people are known to have
+contributed the improvements that became Perl 5.34.2:
+
+Karl Williamson, Paul Evans, Steve Hay, Tony Cook.
+
+The list above is almost certainly incomplete as it is automatically
+generated from version control history. In particular, it does not include
+the names of the (very much appreciated) contributors who reported issues to
+the Perl bug tracker.
+
+Many of the changes included in this version originated in the CPAN modules
+included in Perl's core. We're grateful to the entire CPAN community for
+helping Perl to flourish.
+
+For a more complete list of all of Perl's historical contributors, please
+see the F<AUTHORS> file in the Perl source distribution.
+
+=head1 Reporting Bugs
+
+If you find what you think is a bug, you might check the perl bug database
+at L<https://github.com/Perl/perl5/issues>.  There may also be information at
+L<http://www.perl.org/>, the Perl Home Page.
+
+If you believe you have an unreported bug, please open an issue at
+L<https://github.com/Perl/perl5/issues>.  Be sure to trim your bug down to a
+tiny but sufficient test case.
+
+If the bug you are reporting has security implications which make it
+inappropriate to send to a public issue tracker, then see
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION>
+for details of how to report the issue.
+
+=head1 Give Thanks
+
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5,
+you can do so by running the C<perlthanks> program:
+
+    perlthanks
+
+This will send an email to the Perl 5 Porters list with your show of thanks.
+
+=head1 SEE ALSO
+
+The F<Changes> file for an explanation of how to view exhaustive details on
+what changed.
+
+The F<INSTALL> file for how to build Perl.
+
+The F<README> file for general stuff.
+
+The F<Artistic> and F<Copying> files for copyright information.
+
+=cut
Index: gnu/usr.bin/perl/pod/perl5343delta.pod
===================================================================
RCS file: gnu/usr.bin/perl/pod/perl5343delta.pod
diff -N gnu/usr.bin/perl/pod/perl5343delta.pod
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gnu/usr.bin/perl/pod/perl5343delta.pod	20 Dec 2023 03:20:10 -0000
@@ -0,0 +1,110 @@
+=encoding utf8
+
+=head1 NAME
+
+perl5343delta - what is new for perl v5.34.3
+
+=head1 DESCRIPTION
+
+This document describes differences between the 5.34.1 release and the 5.34.3
+release.  B<Please note:> This document ignores Perl 5.34.2, a broken release
+which existed for a couple of days only.
+
+If you are upgrading from an earlier release such as 5.34.0, first read
+L<perl5341delta>, which describes differences between 5.34.0 and 5.34.1.
+
+=head1 Security
+
+This release fixes the following security issues.
+
+=head2 CVE-2023-47038 - Write past buffer end via illegal user-defined Unicode property
+
+This vulnerability was reported directly to the Perl security team by
+Nathan Mills C<the.true.nathan.mills@gmail.com>.
+
+A crafted regular expression when compiled by perl 5.30.0 through
+5.38.0 can cause a one-byte attacker controlled buffer overflow in a
+heap allocated buffer.
+
+=head2 CVE-2023-47039 - Perl for Windows binary hijacking vulnerability
+
+This vulnerability was reported to the Intel Product Security Incident
+Response Team (PSIRT) by GitHub user ycdxsb
+L<https://github.com/ycdxsb/WindowsPrivilegeEscalation>. PSIRT then
+reported it to the Perl security team.
+
+Perl for Windows relies on the system path environment variable to
+find the shell (C<cmd.exe>). When running an executable which uses
+Windows Perl interpreter, Perl attempts to find and execute C<cmd.exe>
+within the operating system. However, due to path search order issues,
+Perl initially looks for cmd.exe in the current working directory.
+
+An attacker with limited privileges can exploit this behavior by
+placing C<cmd.exe> in locations with weak permissions, such as
+C<C:\ProgramData>. By doing so, when an administrator attempts to use
+this executable from these compromised locations, arbitrary code can
+be executed.
+
+=head1 Acknowledgements
+
+Perl 5.34.3 represents approximately 1 month of development since Perl
+5.34.1 and contains approximately 3,700 lines of changes across 40 files
+from 4 authors.
+
+Excluding auto-generated files, documentation and release tools, there were
+approximately 2,800 lines of changes to 9 .pm, .t, .c and .h files.
+
+Perl continues to flourish into its fourth decade thanks to a vibrant
+community of users and developers. The following people are known to have
+contributed the improvements that became Perl 5.34.3:
+
+Karl Williamson, Paul Evans, Steve Hay, Tony Cook.
+
+The list above is almost certainly incomplete as it is automatically
+generated from version control history. In particular, it does not include
+the names of the (very much appreciated) contributors who reported issues to
+the Perl bug tracker.
+
+Many of the changes included in this version originated in the CPAN modules
+included in Perl's core. We're grateful to the entire CPAN community for
+helping Perl to flourish.
+
+For a more complete list of all of Perl's historical contributors, please
+see the F<AUTHORS> file in the Perl source distribution.
+
+=head1 Reporting Bugs
+
+If you find what you think is a bug, you might check the perl bug database
+at L<https://github.com/Perl/perl5/issues>.  There may also be information at
+L<http://www.perl.org/>, the Perl Home Page.
+
+If you believe you have an unreported bug, please open an issue at
+L<https://github.com/Perl/perl5/issues>.  Be sure to trim your bug down to a
+tiny but sufficient test case.
+
+If the bug you are reporting has security implications which make it
+inappropriate to send to a public issue tracker, then see
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION>
+for details of how to report the issue.
+
+=head1 Give Thanks
+
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5,
+you can do so by running the C<perlthanks> program:
+
+    perlthanks
+
+This will send an email to the Perl 5 Porters list with your show of thanks.
+
+=head1 SEE ALSO
+
+The F<Changes> file for an explanation of how to view exhaustive details on
+what changed.
+
+The F<INSTALL> file for how to build Perl.
+
+The F<README> file for general stuff.
+
+The F<Artistic> and F<Copying> files for copyright information.
+
+=cut
Index: gnu/usr.bin/perl/pod/perl5361delta.pod
===================================================================
RCS file: gnu/usr.bin/perl/pod/perl5361delta.pod
diff -N gnu/usr.bin/perl/pod/perl5361delta.pod
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gnu/usr.bin/perl/pod/perl5361delta.pod	20 Dec 2023 03:20:10 -0000
@@ -0,0 +1,149 @@
+=encoding utf8
+
+=head1 NAME
+
+perl5361delta - what is new for perl v5.36.1
+
+=head1 DESCRIPTION
+
+This document describes differences between the 5.36.0 release and the 5.36.1
+release.
+
+If you are upgrading from an earlier release such as 5.35.0, first read
+L<perl5360delta>, which describes differences between 5.35.0 and 5.36.0.
+
+=head1 Incompatible Changes
+
+There are no changes intentionally incompatible with 5.36.0.  If any exist,
+they are bugs, and we request that you submit a report.  See
+L</Reporting Bugs> below.
+
+=head1 Modules and Pragmata
+
+=head2 Updated Modules and Pragmata
+
+=over 4
+
+=item *
+
+L<Module::CoreList> has been upgraded from version 5.20220520 to 5.20230423.
+
+=back
+
+=head1 Configuration and Compilation
+
+=over 4
+
+=item *
+
+C<Configure> probed for the return type of malloc() and free() by testing
+whether declarations for those functions produced a function type mismatch with
+the implementation.  On Solaris, with a C++ compiler, this check always failed,
+since Solaris instead imports malloc() and free() from C<std::> with C<using>
+for C++ builds.  Since the return types of malloc() and free() are well defined
+by the C standard, skip probing for them.  C<Configure> command-line arguments
+and hints can still override these type in the unlikely case that is needed.
+[L<GH #20806|https://github.com/Perl/perl5/issues/20806>]
+
+=back
+
+=head1 Testing
+
+Tests were added and changed to reflect the other additions and changes in this
+release.
+
+=head1 Selected Bug Fixes
+
+=over 4
+
+=item *
+
+An eval() as the last statement in a regex code block could trigger an
+interpreter panic; e.g.
+
+    /(?{ ...; eval {....}; })/
+
+[L<GH #19680|https://github.com/Perl/perl5/issues/19680>]
+
+=item *
+
+An C<eval EXPR> referring to a lexical sub defined in grandparent scope no
+longer produces an assertion failures.
+[L<GH #19857|https://github.com/Perl/perl5/issues/19857>]
+
+=item *
+
+Writing to a magic variables associated with the selected output handle, C<$^>,
+C<$~>, C<$=>, C<$-> and C<$%>, no longer crashes perl if the IO object has been
+cleared from the selected output handle.
+[L<GH #20733|https://github.com/Perl/perl5/issues/20733>]
+
+=back
+
+=head1 Acknowledgements
+
+Perl 5.36.1 represents approximately 11 months of development since Perl 5.36.0
+and contains approximately 5,500 lines of changes across 62 files from 24
+authors.
+
+Excluding auto-generated files, documentation and release tools, there were
+approximately 1,600 lines of changes to 23 .pm, .t, .c and .h files.
+
+Perl continues to flourish into its fourth decade thanks to a vibrant community
+of users and developers.  The following people are known to have contributed
+the improvements that became Perl 5.36.1:
+
+Andreas König, Bram, Chris 'BinGOs' Williams, Craig A. Berry, Dagfinn Ilmari
+Mannsåker, David Mitchell, Elvin Aslanov, Florian Weimer, Graham Knop, Hugo
+van der Sanden, Karen Etheridge, Karl Williamson, Leon Timmermans, Matthew
+Horsfall, Max Maischein, Neil Bowers, Nicolas R, Renee Baecker, Ricardo Signes,
+Richard Leach, Steve Hay, Todd Rinaldo, Tony Cook, Yves Orton.
+
+The list above is almost certainly incomplete as it is automatically generated
+from version control history.  In particular, it does not include the names of
+the (very much appreciated) contributors who reported issues to the Perl bug
+tracker.
+
+Many of the changes included in this version originated in the CPAN modules
+included in Perl's core.  We're grateful to the entire CPAN community for
+helping Perl to flourish.
+
+For a more complete list of all of Perl's historical contributors, please see
+the F<AUTHORS> file in the Perl source distribution.
+
+=head1 Reporting Bugs
+
+If you find what you think is a bug, you might check the perl bug database at
+L<https://github.com/Perl/perl5/issues>.  There may also be information at
+L<http://www.perl.org/>, the Perl Home Page.
+
+If you believe you have an unreported bug, please open an issue at
+L<https://github.com/Perl/perl5/issues>.  Be sure to trim your bug down to a
+tiny but sufficient test case.
+
+If the bug you are reporting has security implications which make it
+inappropriate to send to a public issue tracker, then see
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION> for details of how to
+report the issue.
+
+=head1 Give Thanks
+
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5, you
+can do so by running the C<perlthanks> program:
+
+    perlthanks
+
+This will send an email to the Perl 5 Porters list with your show of thanks.
+
+=head1 SEE ALSO
+
+The F<Changes> file for an explanation of how to view exhaustive details on
+what changed.
+
+The F<INSTALL> file for how to build Perl.
+
+The F<README> file for general stuff.
+
+The F<Artistic> and F<Copying> files for copyright information.
+
+=cut
Index: gnu/usr.bin/perl/pod/perl5362delta.pod
===================================================================
RCS file: gnu/usr.bin/perl/pod/perl5362delta.pod
diff -N gnu/usr.bin/perl/pod/perl5362delta.pod
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ gnu/usr.bin/perl/pod/perl5362delta.pod	20 Dec 2023 03:20:10 -0000
@@ -0,0 +1,109 @@
+=encoding utf8
+
+=head1 NAME
+
+perl5362delta - what is new for perl v5.36.2
+
+=head1 DESCRIPTION
+
+This document describes differences between the 5.36.1 release and the 5.36.2
+release.
+
+If you are upgrading from an earlier release such as 5.36.0, first read
+L<perl5361delta>, which describes differences between 5.36.0 and 5.36.1.
+
+=head1 Security
+
+This release fixes the following security issues. 
+
+=head2 CVE-2023-47038 - Write past buffer end via illegal user-defined Unicode property
+
+This vulnerability was reported directly to the Perl security team by
+Nathan Mills C<the.true.nathan.mills@gmail.com>.
+
+A crafted regular expression when compiled by perl 5.30.0 through
+5.38.0 can cause a one-byte attacker controlled buffer overflow in a
+heap allocated buffer.
+
+=head2 CVE-2023-47039 - Perl for Windows binary hijacking vulnerability
+
+This vulnerability was reported to the Intel Product Security Incident
+Response Team (PSIRT) by GitHub user ycdxsb
+L<https://github.com/ycdxsb/WindowsPrivilegeEscalation>. PSIRT then
+reported it to the Perl security team.
+
+Perl for Windows relies on the system path environment variable to
+find the shell (C<cmd.exe>). When running an executable which uses
+Windows Perl interpreter, Perl attempts to find and execute C<cmd.exe>
+within the operating system. However, due to path search order issues,
+Perl initially looks for cmd.exe in the current working directory.
+
+An attacker with limited privileges can exploit this behavior by
+placing C<cmd.exe> in locations with weak permissions, such as
+C<C:\ProgramData>. By doing so, when an administrator attempts to use
+this executable from these compromised locations, arbitrary code can
+be executed.
+
+=head1 Acknowledgements
+
+Perl 5.36.2 represents approximately 1 month of development since Perl
+5.36.1 and contains approximately 2,300 lines of changes across 38 files
+from 4 authors.
+
+Excluding auto-generated files, documentation and release tools, there were
+approximately 1,400 lines of changes to 8 .pm, .t, .c and .h files.
+
+Perl continues to flourish into its fourth decade thanks to a vibrant
+community of users and developers. The following people are known to have
+contributed the improvements that became Perl 5.36.2:
+
+Karl Williamson, Paul Evans, Steve Hay, Tony Cook.
+
+The list above is almost certainly incomplete as it is automatically
+generated from version control history. In particular, it does not include
+the names of the (very much appreciated) contributors who reported issues to
+the Perl bug tracker.
+
+Many of the changes included in this version originated in the CPAN modules
+included in Perl's core. We're grateful to the entire CPAN community for
+helping Perl to flourish.
+
+For a more complete list of all of Perl's historical contributors, please
+see the F<AUTHORS> file in the Perl source distribution.
+
+=head1 Reporting Bugs
+
+If you find what you think is a bug, you might check the perl bug database
+at L<https://github.com/Perl/perl5/issues>.  There may also be information at
+L<http://www.perl.org/>, the Perl Home Page.
+
+If you believe you have an unreported bug, please open an issue at
+L<https://github.com/Perl/perl5/issues>.  Be sure to trim your bug down to a
+tiny but sufficient test case.
+
+If the bug you are reporting has security implications which make it
+inappropriate to send to a public issue tracker, then see
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION>
+for details of how to report the issue.
+
+=head1 Give Thanks
+
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5,
+you can do so by running the C<perlthanks> program:
+
+    perlthanks
+
+This will send an email to the Perl 5 Porters list with your show of thanks.
+
+=head1 SEE ALSO
+
+The F<Changes> file for an explanation of how to view exhaustive details on
+what changed.
+
+The F<INSTALL> file for how to build Perl.
+
+The F<README> file for general stuff.
+
+The F<Artistic> and F<Copying> files for copyright information.
+
+=cut
Index: gnu/usr.bin/perl/pod/perldelta.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/pod/perldelta.pod,v
diff -u -p -a -u -p -r1.25 perldelta.pod
--- gnu/usr.bin/perl/pod/perldelta.pod	8 Jul 2023 14:18:36 -0000	1.25
+++ gnu/usr.bin/perl/pod/perldelta.pod	20 Dec 2023 03:20:09 -0000
@@ -2,119 +2,80 @@
 
 =head1 NAME
 
-perldelta - what is new for perl v5.36.1
+perldelta - what is new for perl v5.36.3
 
 =head1 DESCRIPTION
 
-This document describes differences between the 5.36.0 release and the 5.36.1
-release.
+This document describes differences between the 5.36.1 release and the 5.36.3
+release.  B<Please note:> This document ignores Perl 5.36.2, a broken release
+which existed for a couple of days only.
 
-If you are upgrading from an earlier release such as 5.35.0, first read
-L<perl5360delta>, which describes differences between 5.35.0 and 5.36.0.
+If you are upgrading from an earlier release such as 5.36.0, first read
+L<perl5361delta>, which describes differences between 5.36.0 and 5.36.1.
 
-=head1 Incompatible Changes
+=head1 Security
 
-There are no changes intentionally incompatible with 5.36.0.  If any exist,
-they are bugs, and we request that you submit a report.  See
-L</Reporting Bugs> below.
+This release fixes the following security issues. 
 
-=head1 Modules and Pragmata
+=head2 CVE-2023-47038 - Write past buffer end via illegal user-defined Unicode property
 
-=head2 Updated Modules and Pragmata
+This vulnerability was reported directly to the Perl security team by
+Nathan Mills C<the.true.nathan.mills@gmail.com>.
 
-=over 4
+A crafted regular expression when compiled by perl 5.30.0 through
+5.38.0 can cause a one-byte attacker controlled buffer overflow in a
+heap allocated buffer.
 
-=item *
+=head2 CVE-2023-47039 - Perl for Windows binary hijacking vulnerability
 
-L<Module::CoreList> has been upgraded from version 5.20220520 to 5.20230423.
+This vulnerability was reported to the Intel Product Security Incident
+Response Team (PSIRT) by GitHub user ycdxsb
+L<https://github.com/ycdxsb/WindowsPrivilegeEscalation>. PSIRT then
+reported it to the Perl security team.
 
-=back
+Perl for Windows relies on the system path environment variable to
+find the shell (C<cmd.exe>). When running an executable which uses
+Windows Perl interpreter, Perl attempts to find and execute C<cmd.exe>
+within the operating system. However, due to path search order issues,
+Perl initially looks for cmd.exe in the current working directory.
 
-=head1 Configuration and Compilation
-
-=over 4
-
-=item *
-
-C<Configure> probed for the return type of malloc() and free() by testing
-whether declarations for those functions produced a function type mismatch with
-the implementation.  On Solaris, with a C++ compiler, this check always failed,
-since Solaris instead imports malloc() and free() from C<std::> with C<using>
-for C++ builds.  Since the return types of malloc() and free() are well defined
-by the C standard, skip probing for them.  C<Configure> command-line arguments
-and hints can still override these type in the unlikely case that is needed.
-[L<GH #20806|https://github.com/Perl/perl5/issues/20806>]
-
-=back
-
-=head1 Testing
-
-Tests were added and changed to reflect the other additions and changes in this
-release.
-
-=head1 Selected Bug Fixes
-
-=over 4
-
-=item *
-
-An eval() as the last statement in a regex code block could trigger an
-interpreter panic; e.g.
-
-    /(?{ ...; eval {....}; })/
-
-[L<GH #19680|https://github.com/Perl/perl5/issues/19680>]
-
-=item *
-
-An C<eval EXPR> referring to a lexical sub defined in grandparent scope no
-longer produces an assertion failures.
-[L<GH #19857|https://github.com/Perl/perl5/issues/19857>]
-
-=item *
-
-Writing to a magic variables associated with the selected output handle, C<$^>,
-C<$~>, C<$=>, C<$-> and C<$%>, no longer crashes perl if the IO object has been
-cleared from the selected output handle.
-[L<GH #20733|https://github.com/Perl/perl5/issues/20733>]
-
-=back
+An attacker with limited privileges can exploit this behavior by
+placing C<cmd.exe> in locations with weak permissions, such as
+C<C:\ProgramData>. By doing so, when an administrator attempts to use
+this executable from these compromised locations, arbitrary code can
+be executed.
 
 =head1 Acknowledgements
 
-Perl 5.36.1 represents approximately 11 months of development since Perl 5.36.0
-and contains approximately 5,500 lines of changes across 62 files from 24
-authors.
+Perl 5.36.3 represents approximately 1 month of development since Perl
+5.36.1 and contains approximately 2,300 lines of changes across 38 files
+from 4 authors.
 
 Excluding auto-generated files, documentation and release tools, there were
-approximately 1,600 lines of changes to 23 .pm, .t, .c and .h files.
+approximately 1,400 lines of changes to 8 .pm, .t, .c and .h files.
 
-Perl continues to flourish into its fourth decade thanks to a vibrant community
-of users and developers.  The following people are known to have contributed
-the improvements that became Perl 5.36.1:
-
-Andreas König, Bram, Chris 'BinGOs' Williams, Craig A. Berry, Dagfinn Ilmari
-Mannsåker, David Mitchell, Elvin Aslanov, Florian Weimer, Graham Knop, Hugo
-van der Sanden, Karen Etheridge, Karl Williamson, Leon Timmermans, Matthew
-Horsfall, Max Maischein, Neil Bowers, Nicolas R, Renee Baecker, Ricardo Signes,
-Richard Leach, Steve Hay, Todd Rinaldo, Tony Cook, Yves Orton.
-
-The list above is almost certainly incomplete as it is automatically generated
-from version control history.  In particular, it does not include the names of
-the (very much appreciated) contributors who reported issues to the Perl bug
-tracker.
+Perl continues to flourish into its fourth decade thanks to a vibrant
+community of users and developers. The following people are known to have
+contributed the improvements that became Perl 5.36.3:
+
+Karl Williamson, Paul Evans, Steve Hay, Tony Cook.
+
+The list above is almost certainly incomplete as it is automatically
+generated from version control history. In particular, it does not include
+the names of the (very much appreciated) contributors who reported issues to
+the Perl bug tracker.
 
 Many of the changes included in this version originated in the CPAN modules
-included in Perl's core.  We're grateful to the entire CPAN community for
+included in Perl's core. We're grateful to the entire CPAN community for
 helping Perl to flourish.
 
-For a more complete list of all of Perl's historical contributors, please see
-the F<AUTHORS> file in the Perl source distribution.
+For a more complete list of all of Perl's historical contributors, please
+see the F<AUTHORS> file in the Perl source distribution.
 
 =head1 Reporting Bugs
 
-If you find what you think is a bug, you might check the perl bug database at
-L<https://github.com/Perl/perl5/issues>.  There may also be information at
+If you find what you think is a bug, you might check the perl bug database
+at L<https://github.com/Perl/perl5/issues>.  There may also be information at
 L<http://www.perl.org/>, the Perl Home Page.
 
 If you believe you have an unreported bug, please open an issue at
@@ -123,13 +84,13 @@ tiny but sufficient test case.
 
 If the bug you are reporting has security implications which make it
 inappropriate to send to a public issue tracker, then see
-L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION> for details of how to
-report the issue.
+L<perlsec/SECURITY VULNERABILITY CONTACT INFORMATION>
+for details of how to report the issue.
 
 =head1 Give Thanks
 
-If you wish to thank the Perl 5 Porters for the work we had done in Perl 5, you
-can do so by running the C<perlthanks> program:
+If you wish to thank the Perl 5 Porters for the work we had done in Perl 5,
+you can do so by running the C<perlthanks> program:
 
     perlthanks
 
